-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlSettings

Declaration :

- C++ : class UmlSettings
- Java : class UmlSettings

Directly inherited by : CppSettings IdlSettings JavaSettings

This class manages settings not linked with a language, configured through the 'Generation settings' dialog. This class may be defined as a 'singleton', but I prefer to use static members allowing to just write 'UmlSettings::member' rather than 'UmlSettings::instance()->member' or other long sentence like this.

Artifact : UmlSettings

Operation artifactDescription

Declaration :

- C++ : public: static QCString artifactDescription()
- Java : public static String artifactDescription()

return the default description

Operation set_ArtifactDescription

Declaration :

- C++ : public: static bool set_ArtifactDescription(QCString v)
- Java : public static void set_ArtifactDescription(String v)

set the default description On error : return FALSE in C++, produce a RuntimeException in Java

Operation classDescription

Declaration :

- C++ : public: static QCString classDescription()
- Java : public static String classDescription()

return the default description

Operation set_ClassDescription

Declaration :

- C++ : public: static bool set_ClassDescription(QCString v)
- Java : public static void set_ClassDescription(String v)

set the default description On error : return FALSE in C++, produce a RuntimeException in Java

Operation operationDescription

Declaration :

- C++ : public: static QCString operationDescription()
- Java : public static String operationDescription()

return the default description

Operation set_OperationDescription

Declaration :

- C++ : public: static bool set_OperationDescription(QCString v)
- Java : public static void set_OperationDescription(String v)

set the default description On error : return FALSE in C++, produce a RuntimeException in Java

Operation attributeDescription

Declaration :

- C++ : public: static QCString attributeDescription()
- Java : public static String attributeDescription()

return the default description

Operation set_AttributeDescription

Declaration :

- C++ : public: static bool set_AttributeDescription(QCString v)
- Java : public static void set_AttributeDescription(String v)

set the default description On error : return FALSE in C++, produce a RuntimeException in Java

Operation relationDescription

Declaration :

- C++ : public: static QCString relationDescription()
- Java : public static String relationDescription()

return the default description

Operation set_RelationDescription

Declaration :

- C++ : public: static bool set_RelationDescription(QCString v)
- Java : public static void set_RelationDescription(String v)

set the default description On error : return FALSE in C++, produce a RuntimeException in Java

Operation UmlSettings

Declaration :

- C++ : protected: UmlSettings()
- Java : protected UmlSettings()

never called !

Attribut _defined

Declaration :

- C++ : protected: static bool _defined
- Java : protected static boolean _defined

Attribut _artifact_default_description

Declaration :

- C++ : protected: static QCString _artifact_default_description
- Java : protected static String _artifact_default_description

Attribut _class_default_description

Declaration :

- C++ : protected: static QCString _class_default_description
- Java : protected static String _class_default_description

Attribut _operation_default_description

Declaration :

- C++ : protected: static QCString _operation_default_description
- Java : protected static String _operation_default_description

Attribut _attribute_default_description

Declaration :

- C++ : protected: static QCString _attribute_default_description
- Java : protected static String _attribute_default_description

Attribut _relation_default_description

Declaration :

- C++ : protected: static QCString _relation_default_description
- Java : protected static String _relation_default_description

Attribut _map_builtins

Declaration :

- C++ : protected: static QDict<UmlBuiltin> _map_builtins
- Java : protected static Hashtable _map_builtins

Relation _builtins (<unidirectional association>)

Declaration :

- C++ : protected: static UmlBuiltin * _builtins
- Java : protected static UmlBuiltin[] _builtins

Attribut _map_relation_stereotypes

Declaration :

- C++ : protected: static QDict<UmlStereotype> _map_relation_stereotypes
- Java : protected static Hashtable _map_relation_stereotypes

Relation _relation_stereotypes (<unidirectional association>)

Declaration :

- C++ : protected: static UmlStereotype * _relation_stereotypes
- Java : protected static UmlStereotype[] _relation_stereotypes

Attribut _map_class_stereotypes

Declaration :

- C++ : protected: static QDict<UmlStereotype> _map_class_stereotypes
- Java : protected static Hashtable _map_class_stereotypes

Relation _class_stereotypes (<unidirectional association>)

Declaration :

- C++ : protected: static UmlStereotype * _class_stereotypes
- Java : protected static UmlStereotype[] _class_stereotypes

Operation read_

Declaration :

- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

Operation multiplicity_column

Declaration :

- C++ : protected: static unsigned multiplicity_column(const QCString & mult)
- Java : protected static int multiplicity_column(String mult)

internal, do NOT use it

Operation uml_type

Declaration :

- C++ : protected: static QCString uml_type(const QCString & t, QCString UmlBuiltin::* f)

internal, do NOT use it

Operation uml_rel_stereotype

Declaration :

- C++ : protected: static QCString uml_rel_stereotype(const QCString & t, QCString UmlStereotype::* f)

internal, do NOT use it

Operation uml_class_stereotype

Declaration :

- C++ : protected: static QCString uml_class_stereotype(const QCString & t, QCString UmlStereotype::* f)

internal, do NOT use it

Operation add_type

Declaration :

- C++ : protected: static UmlBuiltin * add_type(const QCString & s)
- Java : protected static UmlBuiltin add_type(String s)

internal, do NOT use it

Operation add_rel_stereotype

Declaration :

- C++ : protected: static UmlStereotype * add_rel_stereotype(const QCString & s)
- Java : protected static UmlStereotype add_rel_stereotype(String s)

internal, do NOT use it

Operation add_class_stereotype

Declaration :

- C++ : protected: static UmlStereotype * add_class_stereotype(const QCString & s)
- Java : protected static UmlStereotype add_class_stereotype(String s)

internal, do NOT use it

All public operations :

artifactDescription , attributeDescription , classDescription , operationDescription , relationDescription , set_ArtifactDescription , set_AttributeDescription , set_ClassDescription , set_OperationDescription , set_RelationDescription